Query Parameters
Content region (ISO 3166-1 alpha-2). Examples: US, GB, DE, JP.
UI / interface language (BCP-47). Examples: en, de, fr, ja.
Continuation token from a previous response to fetch the next page.
Response
The search query that was executed.
Array of YouTube Music results (polymorphic SearchResult shape, keyed by type).
Result type, e.g. video, channel (artist), or playlist (album).
Track / video id (nullable).
Track or item title (nullable).
Full URL to the item (nullable).
Best thumbnail / cover art URL (nullable).
Human-readable duration (nullable).
Duration in seconds (nullable).
Play / view count as displayed (nullable).
Artist channel id (nullable).
Artist / uploader name (nullable).
Whether the artist channel is verified (nullable).
Album / playlist id (playlist results, nullable).
Track count (album / playlist results, nullable).
Token to fetch the next page (nullable when no more pages).
Example Response
{
"query": "never gonna give you up",
"results": [
{
"type": "video",
"video_id": "dQw4w9WgXcQ",
"title": "Never Gonna Give You Up",
"url": "https://music.youtube.com/watch?v=dQw4w9WgXcQ",
"thumbnail": "https://i.ytimg.com/vi/dQw4w9WgXcQ/hqdefault.jpg",
"duration": "3:33",
"length_seconds": 213,
"view_count_text": "1.6B plays",
"channel_id": "UCuAXFkgsw1L7xaCfnd5JJOw",
"channel_name": "Rick Astley",
"channel_is_verified": true
}
],
"continuation": "EpcDEgxuZXZlciBnb25uYS..."
}
Each music-search request costs 5 credits. Failed requests are not charged.